Get IMEI history logs of a SIM
For postpaid sim only
400 will be returned if the sim is not under postpaid.
Retrieve IMEI history logs of a sim.
Request
GET/sims/{iccid}/imei-history-logs
Path parameters
iccidstringrequired
ICCID of the sim to retrieve.
Response
An array of json is returned in the response body. Each item in the array contains the following fields:
timedAtdatetime string
Time when the IMEI was recorded.
imeistring
IMEI of the device using the SIM.
vendorstring
Company that produced the device/module.
modelstring
Specific model name/number of the device.
Examples
Request
curl -X GET 'https://portal.peplink.com/api/e/v1/cp/sims/{iccid}/imei-history-logs' \ -H 'Authorization: Bearer {token}'Response
[
{
"timedAt": "2025-10-17T09:36:57.000Z",
"imei": "XXXXXXXXXXXXXXX",
"vendor": "Vendor X",
"model": "Model X"
}
]